%    $Revision: 1.0 $ $Date: 2007/04/20 10:05:31  $
%    File:
%      ganglion_control.m
%    Title:
%      X Ganglion Cell Model by Gaudiano
%    Author:
%      Yuki Furusawa (furusawa@nil.ist.aichi-pu.ac.jp)
%    Reference Paper:
%      Gaudiano, P. (1994)
%      Simulations of X and Y retinal ganglion cell behavior with 
%      a nonlinear push-pull model of spatiotemporal retinal processing,
%      Vision Reserch, 34, pp.1767-1784
% 

% display 
global percentCount
global Count
percentCount = 0;
Count     = 0;
fprintf('\n           ');

% Definition
global frequency
global contrast
global shift
frequency = 0.13;
contrast  = 0.32;

% shift : 0[degree]
shift     = 0.0;
[t1,y1]   = ode45( 'ganglion_x');
Count     = 0;
percentCount = 25;

% shift : 90[degree]
shift     = 90.0;
[t2,y2]   = ode45( 'ganglion_x');
Count     = 0;
percentCount = 50;

% shift : 180[degree]
shift     = 180.0;
[t3,y3]   = ode45( 'ganglion_x');
Count     = 0;
percentCount = 75;

% shift : 270[degree]
shift     = 270.0;
[t4,y4]   = ode45( 'ganglion_x');

% plot Simulation result
subplot(4,1,1);plot(t1,y1(:,1));legend('  0 [degree]');ylabel('Firing rate'); axis([0 0.01 5.1 5.4]); title('X-cell Simulations');grid;
subplot(4,1,2); plot(t2,y2(:,1),'r'); legend(' 90 [degree]');ylabel('Firing rate'); axis([0 0.01 5.1 5.4]);grid;
subplot(4,1,3); plot(t3,y3(:,1)); legend('180 [degree]');ylabel('Firing rate'); axis([0 0.01 5.1 5.4]);grid;
subplot(4,1,4); plot(t4,y4(:,1),'r'); legend('270 [degree]');ylabel('Firing rate'); axis([0 0.01 5.1 5.4]); xlabel('Time [sec]');grid;

% Copyright 2007, FURUSAWA Yuki
% $Author: furusawa $
